Change Task Status
curl --request PATCH \
--url https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}/status \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"status": "Completed"
}
'import requests
url = "https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}/status"
payload = { "status": "Completed" }
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({status: 'Completed'})
};
fetch('https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tasks
Change Task Status
Set a task’s status. Requires Change Task Status (or Change Work Order Status for a work order). Without Change Status of Others’ Tasks the key may only re-status records assigned to its user, their teams, their locations or their role.
PATCH
/
api
/
v1
/
ops
/
workspaces
/
{workspaceId}
/
tasks
/
{taskId}
/
status
Change Task Status
Path Parameters
UUID of the workspace. Must be your key's own workspace.
Example:
"cb363f7e-c52a-4478-911d-f6a6f791090e"
UUID of the task.
Example:
"232154c0-c239-48f8-b670-0e5d12fd64d0"
Body
application/json
The new status. Note the field is status, not taskStatus.
Available options:
Open, In Progress, On Hold, Paused, Completed Response
Status updated.
⌘I